# ParticleHairKey(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ParticleHairKey`(bpy_struct)

  Particle key for hair particle system

  `co`

    Location of the hair key in object space

    Type: | float array of 3 items in [-inf, inf], default (0.0, 0.0, 0.0)

  `co_local`

    Location of the hair key in its local coordinate system, relative to the emitting face

    Type: | float array of 3 items in [-inf, inf], default (0.0, 0.0, 0.0)

  `time`

    Relative time of key over hair length

    Type: | float in [0, inf], default 0.0

  `weight`

    Weight for cloth simulation

    Type: | float in [0, 1], default 0.0

  `co_object`(object, modifier, particle)

    Obtain hairkey location with particle and modifier data

    Parameters: | object (`Object`, (never None)) – Object modifier (`ParticleSystemModifier`, (never None)) – Particle modifier particle (`Particle`, (never None)) – hair particle
    Returns: | Co, Exported hairkey location
    Return type: | float array of 3 items in [-inf, inf]

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Particle.hair_keys` |